Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.event
Class FileUploadEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.richfaces.event.FileUploadEvent

All Implemented Interfaces:
  Serializable

    public class FileUploadEvent

extends javax.faces.event.FacesEvent

Author:
  Konstantin Mishin
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FileUploadEvent(javax.faces.component.UIComponent component, UploadedFile uploadedFile)`

Method Summary
`UploadedFile` | `getUploadedFile()`
`boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
`void` | `processListener(javax.faces.event.FacesListener listener)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileUploadEvent

    public FileUploadEvent(javax.faces.component.UIComponent component,
                           UploadedFile uploadedFile)

Method Detail

### isAppropriateListener

    public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

  Specified by:
    `isAppropriateListener` in class `javax.faces.event.FacesEvent`

### processListener

    public void processListener(javax.faces.event.FacesListener listener)

  Specified by:
    `processListener` in class `javax.faces.event.FacesEvent`

### getUploadedFile

    public UploadedFile getUploadedFile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.